DPLINE(3NCARG)

NAME
DPLINE - Draws a straight-line segment between two points in the user coordinate system.

SYNOPSIS
CALL DPLINE (XCP1,YCP1,XCP2,YCP2)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_dpline (float xcp1, float ycp1, float xcp2, float ycp2);

DESCRIPTION

XCP1
    (an input expression of type REAL) specifies the X coordinate of a point at the beginning of the straight-line segment.

YCP1
    (an input expression of type REAL) specifies the Y coordinate of a point at the beginning of the straight-line segment.

XCP2
    (an input expression of type REAL) specifies the X coordinate of a point at the end of the straight-line segment.

YCP2
    (an input expression of type REAL) specifies the Y coordinate of a point at the end of the straight-line segment.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
DPLINE maps the input coordinates to the fractional system and then passes them on to DPDRAW. Even is smoothing is turned on, no smoothing is done by a call to DPLINE.

EXAMPLES
Use the ncargex command to see the following relevant examples: tdshpk.

ACCESS
To use DPLINE or c_dpline, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

SEE ALSO
Online: dashpack, dashpack_params, dpcurv, dpdraw, dpfrst, dpgetc, dpgeti, dpgetr, dplast, dpsetc, dpseti, dpsetr, dpsmth, dpvect, ncarg_cbind.

Hardcopy: None.

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.